Subject: (Fwd) Re: ruby-1.6.4 on cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Thu, 7 Jun 2001 00:59:59 +0200

Madoka Machitani schrieb am 2001-06-06, 23:07:

> Hi,
> 
> * Agostino Deligia <[email-masked]> [010606 22:25]:
> > I had to place the following X header files (from the Cygwin XFree86 project)
> > in /usr/include/X11 before configuring with --enable-shared so that tcltklib
> > would ger built and installed. Other than that, ruby 1.6.4 built
> > out-of-the-box.
> > 
> >    X.h
> >    Xfuncproto.h
> >    Xlib.h
> >    Xosdefs.h
> 
> Sounds strange.  I don't have any X-related thing on my hard disk.  I
> once tried Cygwin XFree you mentioned but now it's completely removed.
> 
> Sorry I can't make out why you had to have those headers.  Suggestions
> anyone?

Very strange, i get it compiled with the X-headers, they are included
by tk.h:
========
#define TK_MAJOR_VERSION   8
#define TK_MINOR_VERSION   0
#define TK_RELEASE_LEVEL   2
#define TK_RELEASE_SERIAL  4

#define TK_VERSION "8.0"
#define TK_PATCH_LEVEL "8.0.4"

[...]

#ifndef _XLIB_H
#   ifdef MAC_TCL
#	include <Xlib.h>
#	include <X.h>
#   else
#	include <X11/Xlib.h>  <-----------line 77
#   endif
#endif

[...]

So _XLIB_H isn't defined for me and MAC_TCL either.
Then there is X11/Xlib.h to be included, which includes
the other four headers.
So if you run the same cygwin....

-gph

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple